Bug 474954 - Privoxy port blocked, unable to add an exception.
Privoxy port blocked, unable to add an exception.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 20:29 EST by Ryan Rix
Modified: 2009-11-18 04:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 04:50:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Rix 2008-12-05 20:29:36 EST
Description of problem:
Privoxy (https://admin.fedoraproject.org/pkgdb/packages/name/privoxy) is blocked from connecting to the SOCKS server via port 6969.

`Allowing access' suggest running  semanage port -a -t PORT_TYPE -p PROTOCOL 6969 Where PORT_TYPE is a type that privoxy_t can connect, unfortunately there is not a predefined port type for privoxy.
I am not entirely sure I can add a PORT_TYPE, so I am filing this as a bug.

Version-Release number of selected component (if applicable):


How reproducible:
Attempt to connect to the internet via Privoxy. I use tor as my SOCKS server, but any one will do. Perhaps even a void server, if one is available.

Steps to Reproduce:
1. Install and configure Privoxy, and configure it with your browser.
2. attempt to connect to the outside. 
3.
  
Actual results:
This is blocked unless you are running in permissive mode.

Expected results:
A successful connection.

Additional info:
Comment 1 Daniel Walsh 2008-12-06 07:42:33 EST
# semanage port -a -t tor_port_t -P tcp 6969

Should fix your problem.  Is port 6969 a regular tor port?
Comment 2 Ryan Rix 2008-12-06 19:46:51 EST
Yes, it is the default port on a privoxy install.

I did not know that tor_port_t was defined. Yeah, this works now :) Thanks Dan.
Comment 3 Daniel Walsh 2008-12-08 15:26:21 EST
Fixed in selinux-policy-3.5.13-33.fc10
Comment 4 Bug Zapper 2009-11-18 04:38:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.